curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"dob": "1990-01-15",
"nationality": "US",
"address": {
"line1": "123 Main Street",
"line2": "Apt 101",
"city": "Anytown",
"postalCode": "12345",
"state": "NY",
"countryCode": "US"
},
"idDetails": {
"type": "passport",
"number": "123456789",
"issuedCountryCode": "US",
"issuedBy": "Department of State",
"issuedDate": "2020-01-15",
"expirationDate": "2030-01-15",
"frontFileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"backFileId": "2e4g981d-cd02-5747-b29d-3f65dd8e7d75",
"selfieFileId": "3f5h092e-de13-6858-c40e-4g76ee9f8e86"
},
"addressProofFileId": "4g6i103f-ef24-7969-d51f-5h87ff0g9f97"
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Submit Know Your Customer (KYC) information for verification
curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"dob": "1990-01-15",
"nationality": "US",
"address": {
"line1": "123 Main Street",
"line2": "Apt 101",
"city": "Anytown",
"postalCode": "12345",
"state": "NY",
"countryCode": "US"
},
"idDetails": {
"type": "passport",
"number": "123456789",
"issuedCountryCode": "US",
"issuedBy": "Department of State",
"issuedDate": "2020-01-15",
"expirationDate": "2030-01-15",
"frontFileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"backFileId": "2e4g981d-cd02-5747-b29d-3f65dd8e7d75",
"selfieFileId": "3f5h092e-de13-6858-c40e-4g76ee9f8e86"
},
"addressProofFileId": "4g6i103f-ef24-7969-d51f-5h87ff0g9f97"
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the user
User's first name
"John"
User's last name
"Doe"
Date of birth in YYYY-MM-DD format
"1990-01-15"
User's nationality (2-letter country code)
"US"
Show child attributes
Address
Show child attributes
File ID for address proof document
"4g6i103f-ef24-7969-d51f-5h87ff0g9f97"
KYC information submitted successfully